gss_get_mic(3)

NAME
gss_get_mic - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_get_mic(OM_uint32 * minor_status, const gss_ctx_id_t context_handle, gss_qop_t qop_req, const gss_buffer_t message_buffer, gss_buffer_t message_token);

ARGUMENTS

OM_uint32 * minor_status
    (Integer, modify) Mechanism specific status code.

const gss_ctx_id_t context_handle
    (gss_ctx_id_t, read) Identifies the context on
      which the message will be sent.

gss_qop_t qop_req
    (gss_qop_t, read, optional) Specifies requested quality
      of protection. Callers are encouraged, on portability grounds,
      to accept the default quality of protection offered by the chosen
      mechanism, which may be requested by specifying GSS_C_QOP_DEFAULT
      for this parameter. If an unsupported protection strength is
      requested, gss_get_mic will return a major_status of
      GSS_S_BAD_QOP.

const gss_buffer_t message_buffer
    (buffer, opaque, read) Message to be protected.

gss_buffer_t message_token
    (buffer, opaque, modify) Buffer to receive token. The
      application must free storage associated with this buffer after
      use with a call to gss_release_buffer().

DESCRIPTION
Generates a cryptographic MIC for the supplied message, and places the MIC in a token for transfer to the peer application. The qop_req parameter allows a choice between several cryptographic algorithms, if supported by the chosen mechanism.

Since some application-level protocols may wish to use tokens emitted by gss_wrap() to provide "secure framing", implementations must support derivation of MICs from zero-length messages.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

`GSS_S_CONTEXT_EXPIRED`: The context has already expired.

`GSS_S_NO_CONTEXT`: The context_handle parameter did not identify a valid context.

`GSS_S_BAD_QOP`: The specified QOP is not supported by the mechanism.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.